#include <QtQml/qqmlprivate.h>
#include <QtCore/qdir.h>
#include <QtCore/qurl.h>

static const unsigned char qt_resource_tree[] = {
0,
0,0,0,0,2,0,0,0,1,0,0,0,1,0,0,0,
8,0,2,0,0,0,1,0,0,0,2,0,0,0,20,0,
2,0,0,0,14,0,0,0,3,0,0,0,138,0,0,0,
0,0,1,0,0,0,0,0,0,0,116,0,0,0,0,0,
1,0,0,0,0,0,0,1,64,0,0,0,0,0,1,0,
0,0,0,0,0,0,42,0,0,0,0,0,1,0,0,0,
0,0,0,0,174,0,0,0,0,0,1,0,0,0,0,0,
0,1,40,0,0,0,0,0,1,0,0,0,0,0,0,1,
114,0,0,0,0,0,1,0,0,0,0,0,0,0,92,0,
0,0,0,0,1,0,0,0,0,0,0,0,224,0,0,0,
0,0,1,0,0,0,0,0,0,1,16,0,0,0,0,0,
1,0,0,0,0,0,0,1,90,0,0,0,0,0,1,0,
0,0,0,0,0,0,68,0,0,0,0,0,1,0,0,0,
0,0,0,0,200,0,0,0,0,0,1,0,0,0,0,0,
0,0,248,0,0,0,0,0,1,0,0,0,0};
static const unsigned char qt_resource_names[] = {
0,
1,0,0,0,47,0,47,0,3,0,0,120,60,0,113,0,
109,0,108,0,8,4,41,231,148,0,113,0,109,0,108,0,
99,0,104,0,97,0,114,0,116,0,10,10,75,203,188,0,
86,0,105,0,101,0,119,0,49,0,49,0,46,0,113,0,
109,0,108,0,9,12,170,241,220,0,86,0,105,0,101,0,
119,0,55,0,46,0,113,0,109,0,108,0,9,12,166,241,
220,0,86,0,105,0,101,0,119,0,51,0,46,0,113,0,
109,0,108,0,8,8,1,90,92,0,109,0,97,0,105,0,
110,0,46,0,113,0,109,0,108,0,15,5,227,248,60,0,
77,0,97,0,105,0,110,0,70,0,111,0,114,0,109,0,
46,0,117,0,105,0,46,0,113,0,109,0,108,0,10,10,
78,203,188,0,86,0,105,0,101,0,119,0,49,0,50,0,
46,0,113,0,109,0,108,0,9,12,171,241,220,0,86,0,
105,0,101,0,119,0,56,0,46,0,113,0,109,0,108,0,
9,12,167,241,220,0,86,0,105,0,101,0,119,0,52,0,
46,0,113,0,109,0,108,0,9,12,172,241,220,0,86,0,
105,0,101,0,119,0,57,0,46,0,113,0,109,0,108,0,
9,12,168,241,220,0,86,0,105,0,101,0,119,0,53,0,
46,0,113,0,109,0,108,0,9,12,164,241,220,0,86,0,
105,0,101,0,119,0,49,0,46,0,113,0,109,0,108,0,
10,10,72,203,188,0,86,0,105,0,101,0,119,0,49,0,
48,0,46,0,113,0,109,0,108,0,9,12,169,241,220,0,
86,0,105,0,101,0,119,0,54,0,46,0,113,0,109,0,
108,0,9,12,165,241,220,0,86,0,105,0,101,0,119,0,
50,0,46,0,113,0,109,0,108};
static const unsigned char qt_resource_empty_payout[] = { 0, 0, 0, 0, 0 };
QT_BEGIN_NAMESPACE
extern Q_CORE_EXPORT bool qRegisterResourceData(int, const unsigned char *, const unsigned char *, const unsigned char *);
QT_END_NAMESPACE
namespace QmlCacheGeneratedCode {
namespace _qml_qmlchart_View2_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _qml_qmlchart_View6_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _qml_qmlchart_View10_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _qml_qmlchart_View1_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _qml_qmlchart_View5_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _qml_qmlchart_View9_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _qml_qmlchart_View4_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _qml_qmlchart_View8_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _qml_qmlchart_View12_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _qml_qmlchart_MainForm_ui_0x2e_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _qml_qmlchart_main_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _qml_qmlchart_View3_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _qml_qmlchart_View7_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _qml_qmlchart_View11_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}

}
namespace {
struct Registry {
    Registry();
    ~Registry();
    QHash<QString, const QQmlPrivate::CachedQmlUnit*> resourcePathToCachedUnit;
    static const QQmlPrivate::CachedQmlUnit *lookupCachedUnit(const QUrl &url);
};

Q_GLOBAL_STATIC(Registry, unitRegistry)


Registry::Registry() {
        resourcePathToCachedUnit.insert(QStringLiteral("/qml/qmlchart/View2.qml"), &QmlCacheGeneratedCode::_qml_qmlchart_View2_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/qml/qmlchart/View6.qml"), &QmlCacheGeneratedCode::_qml_qmlchart_View6_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/qml/qmlchart/View10.qml"), &QmlCacheGeneratedCode::_qml_qmlchart_View10_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/qml/qmlchart/View1.qml"), &QmlCacheGeneratedCode::_qml_qmlchart_View1_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/qml/qmlchart/View5.qml"), &QmlCacheGeneratedCode::_qml_qmlchart_View5_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/qml/qmlchart/View9.qml"), &QmlCacheGeneratedCode::_qml_qmlchart_View9_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/qml/qmlchart/View4.qml"), &QmlCacheGeneratedCode::_qml_qmlchart_View4_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/qml/qmlchart/View8.qml"), &QmlCacheGeneratedCode::_qml_qmlchart_View8_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/qml/qmlchart/View12.qml"), &QmlCacheGeneratedCode::_qml_qmlchart_View12_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/qml/qmlchart/MainForm.ui.qml"), &QmlCacheGeneratedCode::_qml_qmlchart_MainForm_ui_0x2e_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/qml/qmlchart/main.qml"), &QmlCacheGeneratedCode::_qml_qmlchart_main_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/qml/qmlchart/View3.qml"), &QmlCacheGeneratedCode::_qml_qmlchart_View3_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/qml/qmlchart/View7.qml"), &QmlCacheGeneratedCode::_qml_qmlchart_View7_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/qml/qmlchart/View11.qml"), &QmlCacheGeneratedCode::_qml_qmlchart_View11_qml::unit);
    QQmlPrivate::RegisterQmlUnitCacheHook registration;
    registration.version = 0;
    registration.lookupCachedQmlUnit = &lookupCachedUnit;
    QQmlPrivate::qmlregister(QQmlPrivate::QmlUnitCacheHookRegistration, &registration);
QT_PREPEND_NAMESPACE(qRegisterResourceData)(/*version*/0x01, qt_resource_tree, qt_resource_names, qt_resource_empty_payout);
}

Registry::~Registry() {
    QQmlPrivate::qmlunregister(QQmlPrivate::QmlUnitCacheHookRegistration, quintptr(&lookupCachedUnit));
}

const QQmlPrivate::CachedQmlUnit *Registry::lookupCachedUnit(const QUrl &url) {
    if (url.scheme() != QLatin1String("qrc"))
        return nullptr;
    QString resourcePath = QDir::cleanPath(url.path());
    if (resourcePath.isEmpty())
        return nullptr;
    if (!resourcePath.startsWith(QLatin1Char('/')))
        resourcePath.prepend(QLatin1Char('/'));
    return unitRegistry()->resourcePathToCachedUnit.value(resourcePath, nullptr);
}
}
int QT_MANGLE_NAMESPACE(qInitResources_resources)() {
    ::unitRegistry();
    return 1;
}
Q_CONSTRUCTOR_FUNCTION(QT_MANGLE_NAMESPACE(qInitResources_resources))
int QT_MANGLE_NAMESPACE(qCleanupResources_resources)() {
    return 1;
}
